--
-- PostgreSQL database dump
--

SET client_encoding = 'UTF8';
SET standard_conforming_strings = off;
SET check_function_bodies = false;
SET client_min_messages = warning;
SET escape_string_warning = off;

--
-- Name: plpgsql; Type: PROCEDURAL LANGUAGE; Schema: -; Owner: postgres
--

CREATE PROCEDURAL LANGUAGE plpgsql;


ALTER PROCEDURAL LANGUAGE plpgsql OWNER TO postgres;

SET search_path = public, pg_catalog;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: course; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE course (
    id integer NOT NULL,
    color text,
    sms boolean,
    counter integer,
    login text NOT NULL,
    idcourse integer NOT NULL
);


ALTER TABLE public.course OWNER TO postgres;

--
-- Name: login_notice; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE login_notice (
    login text NOT NULL,
    idnotice integer NOT NULL,
    id_key bigint NOT NULL,
    isread boolean NOT NULL
);


ALTER TABLE public.login_notice OWNER TO postgres;

--
-- Name: login_numero; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE login_numero (
    id integer NOT NULL,
    login text NOT NULL,
    numero_celular text
);


ALTER TABLE public.login_numero OWNER TO postgres;

--
-- Name: notice; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE notice (
    id integer NOT NULL,
    title character varying NOT NULL,
    content character varying NOT NULL,
    idmodule integer NOT NULL,
    idcourse integer NOT NULL,
    type integer NOT NULL,
    idelement integer NOT NULL,
    date_creation date NOT NULL,
    sent boolean
);


ALTER TABLE public.notice OWNER TO postgres;

--
-- Name: sequence_notice; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sequence_notice
    INCREMENT BY 1
    MAXVALUE 10000
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sequence_notice OWNER TO postgres;

--
-- Name: sequencia_curso; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sequencia_curso
    INCREMENT BY 1
    MAXVALUE 100000
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sequencia_curso OWNER TO postgres;

--
-- Name: sequencia_login_notice; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sequencia_login_notice
    INCREMENT BY 1
    MAXVALUE 9999999999999999
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sequencia_login_notice OWNER TO postgres;

--
-- Name: sequencia_login_numero; Type: SEQUENCE; Schema: public; Owner: postgres
--

CREATE SEQUENCE sequencia_login_numero
    INCREMENT BY 1
    MAXVALUE 100000
    NO MINVALUE
    CACHE 1;


ALTER TABLE public.sequencia_login_numero OWNER TO postgres;

--
-- Name: Notice_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY notice
    ADD CONSTRAINT "Notice_pkey" PRIMARY KEY (id);


--
-- Name: course_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY course
    ADD CONSTRAINT course_pkey PRIMARY KEY (id);


--
-- Name: login_notice_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY login_notice
    ADD CONSTRAINT login_notice_pkey PRIMARY KEY (id_key);


--
-- Name: login_numero_pkey; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY login_numero
    ADD CONSTRAINT login_numero_pkey PRIMARY KEY (id);


--
-- Name: login_notice_idnotice_fkey; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY login_notice
    ADD CONSTRAINT login_notice_idnotice_fkey FOREIGN KEY (idnotice) REFERENCES notice(id);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- PostgreSQL database dump complete
--
 
